TARGET  = qtiplot
TEMPLATE     = app
CONFIG      += qt warn_on debug thread opengl 
MOC_DIR      = ../tmp/qtiplot
OBJECTS_DIR  = ../tmp/qtiplot
DESTDIR           = ../
DEFINES += QT_PLUGIN

TRANSLATIONS = translations/qtiplot_ja.ts \
			   translations/qtiplot_fr.ts \
			   translations/qtiplot_es.ts

win32:DEFINES  += QT_DLL QWT_DLL QT_THREAD_SUPPORT GSL_DLL QWTPLOT3D_DLL 

QTIPLOT_PATH = /home/ion

win32:INCLUDEPATH +=../3rdparty/qwt/include
win32:INCLUDEPATH += C:/Qt/qwtplot3d/include
win32:INCLUDEPATH += C:/Qt/WinGsl

win32:LIBS     += ../3rdparty/qwt/lib/qwt.lib 
win32:LIBS     += C:/Qt/qwtplot3d/lib/qwtplot3d.lib 
win32:LIBS     += C:/Qt/WinGsl/Lib/WinGsl.lib 

unix:INCLUDEPATH +=  $${QTIPLOT_PATH}/qt/qwtplot3d/include
unix:INCLUDEPATH += ../3rdparty/qwt/include

unix:LIBS += -L../3rdparty/qwt/lib -lqwt
unix:LIBS += -L /usr/lib -lqwtplot3d -lgsl -lgslcblas

unix:target.path=/usr/bin
unix:INSTALLS += target

unix:documentation.path = /usr/share/doc/qtiplot
unix:documentation.files = doc/*
unix:INSTALLS += documentation
 
win32:RC_FILE     = src/iPlot.rc
HEADERS  = src/application.h \
              src/graph.h \
     src/graph3D.h \
     src/worksheet.h \
     src/curvesDialog.h \
     src/valuesDialog.h \
     src/plotDialog.h \
     src/plot3DDialog.h \
     src/plotWizard.h \
     src/exportDialog.h \
     src/importDialog.h \
     src/genDialog.h \
     src/pieDialog.h \
     src/polynomFitDialog.h \
     src/expDecayDialog.h \
     src/functionDialog.h \
     src/functionDialogui.h \
     src/fitDialog.h \
     src/surfaceDialog.h \
     src/tableDialog.h \
     src/textDialog.h \
     src/txtDlg.h \
     src/lineDlg.h \
     src/scalePicker.h \
     src/canvaspicker.h \
     src/ErrorBar.h \
     src/pie.h \
     src/errDlg.h \
     src/LegendMarker.h \
     src/LineMarker.h\
     src/ImageMarker.h\
     src/imageDialog.h \
     src/fit.h \
     src/pixmaps.h\
     src/multilayer.h\
     src/layerDialog.h \
     src/colors.h \
     src/intDialog.h \
     src/sortDialog.h\
	 src/bars.h \
	 src/cones.h \
	 src/configDialog.h \
	 src/BarCurve.h \
	 src/Histogram.h \
	 src/VectXYXYCurve.h \
     src/scaleDraws.h \
	 src/imageExportDialog.h \
	 src/matrix.h \
	 src/matrixDialog.h \
	 src/matrixSizeDialog.h \
	 src/matrixValuesDialog.h \
     src/analysisDialog.h \
	 src/parser.h \
	 src/colorBox.h \
	 src/patternBox.h \
	 src/importOPJ.h\
	 src/symbolDialog.h \
	 src/plot.h \
	 src/colorButton.h 
     
SOURCES  = src/application.cpp \
     src/graph.cpp \
     src/analysis.cpp \
     src/graph3D.cpp \
     src/worksheet.cpp \
     src/valuesDialog.cpp \
     src/curvesDialog.cpp \
     src/plotDialog.cpp \
      src/plot3DDialog.cpp \
     src/plotWizard.cpp \
     src/exportDialog.cpp \
     src/importDialog.cpp \
     src/genDialog.cpp \
     src/pieDialog.cpp \
     src/polynomFitDialog.cpp \
     src/tableDialog.cpp \
     src/textDialog.cpp \
     src/scalePicker.cpp \
     src/canvaspicker.cpp \
     src/expDecayDialog.cpp \
     src/functionDialog.cpp \
     src/functionDialogui.cpp \
     src/fitDialog.cpp \
     src/surfaceDialog.cpp \
     src/txtDlg.cpp \
     src/lineDlg.cpp \
     src/ErrorBar.cpp \
     src/pie.cpp \
     src/errDlg.cpp \
     src/LegendMarker.cpp \
     src/LineMarker.cpp \
     src/ImageMarker.cpp\
     src/imageDialog.cpp \
     src/nrutil.c \
     src/fit.c \
     src/multilayer.cpp\
     src/layerDialog.cpp \
     src/intDialog.cpp \
     src/sortDialog.cpp\
	 src/bars.cpp \
	 src/cones.cpp \
     src/analysisDialog.cpp \
	 src/configDialog.cpp \
	 src/BarCurve.cpp \
	 src/Histogram.cpp \
	 src/VectXYXYCurve.cpp \
	 src/imageExportDialog.cpp \
	 src/matrix.cpp \
	 src/matrixDialog.cpp \
	 src/matrixSizeDialog.cpp \
	 src/matrixValuesDialog.cpp \
	 src/parser.cpp\
	 src/colorBox.cpp \
	 src/patternBox.cpp \
	 src/importOPJ.cpp\
	 src/main.cpp \
	 src/symbolDialog.cpp \
	 src/plot.cpp \
	 src/colorButton.cpp

#parser (muParser)
HEADERS+=src/parser/muParser.h \
         src/parser/muParserBase.h \ 
		 src/parser/muParserInt.h \
		 src/parser/muParserError.h \ 
         src/parser/muParserStack.h \ 
         src/parser/muParserToken.h \
		 src/parser/muParserBytecode.h \
		 src/parser/muParserCallback.h \
		 src/parser/muParserTokenReader.h \ 
		 src/parser/muParserFixes.h \
		 src/parser/muParserDef.h  	   
SOURCES+=src/parser/muParser.cpp \
         src/parser/muParserBase.cpp \ 
         src/parser/muParserInt.cpp \
		 src/parser/muParserBytecode.cpp \
		 src/parser/muParserCallback.cpp \
		 src/parser/muParserTokenReader.cpp \
		 src/parser/muParserError.cpp

#Origin Import (liborigin)
HEADERS+=src/liborigin/OPJFile.h   
SOURCES+=src/liborigin/OPJFile.cpp