#ifndef CURVESDIALOG_H
#define CURVESDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QListBox;
class QListBoxItem;
class QPushButton;
class QComboBox;

class curvesDialog : public QDialog
{ 
    Q_OBJECT

public:
    curvesDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~curvesDialog();

	QSize sizeHint() const;

    QLabel* TextLabel2;
    QPushButton* btnAdd;
    QPushButton* btnRemove;
    QPushButton* btnOK;
    QPushButton* btnCancel;
    QLabel* TextLabel1;
    QListBox* available;
    QListBox* contents;
	QComboBox* boxStyle;

public slots:
	void insertCurvesToDialog(const QStringList& names);
	void insertPlottedCurves(const QStringList& names);
	void addCurve();
	void addSelectedCurve();
	void removeCurve();
	void removeSelectedCurve();
	void clear();
	void enableRemoveBtn();
	void deletePopupMenu(QListBoxItem *it, const QPoint &point);
	void addPopupMenu(QListBoxItem *it, const QPoint &point);
	int curveStyle();
	void initCurveStyle(int style);

signals:
	void curveToPlot(const QString&, int);
	void curveToRemove(int);

private:
	int selectedCurve;
};

#endif // curvesDialog_H
